/*
 * Copyright  2016 TIBCO Software Inc. All Rights Reserved.
 * This software is confidential and proprietary information of TIBCO Software Inc.
 */
package com.streambase.contrib.batch;

import java.beans.IntrospectionException;

import com.streambase.sb.operator.parameter.SBPropertyDescriptor;
import com.streambase.sb.operator.parameter.SBSimpleBeanInfo;
import com.streambase.sb.operator.parameter.UIHints;

/**
 * Information about design time operator properties
 * @author <a href="mailto:pismolin@tibco.com">Piotr Smolinski</a>
 */
public class BatchOperatorBeanInfo extends SBSimpleBeanInfo {

	/**
	 * Build operator properties list
	 */
	public SBPropertyDescriptor[] getPropertyDescriptorsChecked() throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new SBPropertyDescriptor("batchSize", BatchOperator.class)
						.displayName("Batch Size")
						.description("Maximum batch size")
						.optional(),
				new SBPropertyDescriptor("timeout", BatchOperator.class)
						.displayName("Batch Timeout")
						.description("Maximum batch duration in milliseconds")
						.optional(),
				new SBPropertyDescriptor("groupByFields", BatchOperator.class)
						.displayName("Group By")
						.description("Grouping fields")
						.optional()
						.setUIHints(UIHints.create().setTab("Group By")), 
		};
		return p;
	}

}
